<?php
date_default_timezone_set('Asia/Tokyo');
require_once 'dompdf/autoload.inc.php';
define("DOMPDF_UNICODE_ENABLED", true);
use Dompdf\Dompdf;
if(isset($_POST['user_estimate_submit']))
{
  
	extract($_POST);
	$fullnames = $first_name.' '.$last_name;
	$call_list_type = $call_list_type == 'no'? '無し': 'あり';
	$total_price = number_format($calculate_price_by_range);

	$pdf_content ='<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<META http-equiv="X-UA-Compatible" content="IE=8">
	<style>
	@font-face {
      font-family: \'mgenplus\';
      font-style: normal;
      font-weight: 400;
      src: url(pdf_fonts/rounded-mgenplus-1c-regular.ttf) format(\'truetype\');
 }
 @font-face {
      font-family: \'Noto Sans Japanese\';
      font-style: normal;
      font-weight: 400;
      src: url(pdf_fonts/NotoSansCJKjp-Regular.ttf) format(\'truetype\');
 }
.ft0{font-size: 14px;line-height: 16px;}
*{ font-family: \'Noto Sans Japanese\' !important;}
table tbody tr td,table tr th{
    font-family: \'Noto Sans Japanese\' !important;
	font-size:14px;
	font-weight: 400;
}
.invoice-box { max-width: 800px; margin: auto; padding:15px;font-size:12px;;color: #000; font-family: \'Noto Sans Japanese\' !important; }
table tbody tr td,table tr th{ font-family: \'Noto Sans Japanese\' !important;}
table.invoiceDate_tbl {border-collapse: collapse; width: 100%; }
table.invoiceDate_tbl tbody tr:last-child td { border-bottom: none; }
table.invoiceDate_tbl td, table.invoiceDate_tbl th { border-bottom:1px solid #dddddd;padding:8px; }
table.invoiceDate_tbl2 td, table.invoiceDate_tbl2 th {border-bottom:1px solid #fff;padding:5px;}
table tbody tr td {font-size:14px !important;}
table tr th {font-size:14px !important;}
.tbl_total tr td { border-bottom: 1px solid #eee; padding:5px;font-size:12px !important;}
</style>
</head>
<body>
<div class="invoice-box">
  <table cellpadding="0" cellspacing="0" style="width: 100%;text-align: left;">
    <tr class="top">
      <td colspan="3" style="padding: 5px;vertical-align: center;"><table style="width: 100%;text-align: left;">
          <tr>
            <td class="title"><img src="sitelogo.png"></td>
            <td style="padding: 5px;vertical-align: top;text-align: right;padding-bottom: 20px;">発行日：'.date("Y/m/d").'<br></td>
          </tr>
        </table></td>
    </tr>
    <tr>
      <td colspan="3"><table style="width: 100%;text-align:center;">
          <tr>
            <td style="vertical-align:central;padding:20px 0px 20px 0px;font-size:21px !important;">お見積りシミュレーション結果</td>
          </tr>
        </table></td>
    </tr>
    <tr class="information">
      <td colspan="3" style="padding: 5px;vertical-align: top;"><table style="width: 100%;text-align: left;">
          <tr>
            <td style="vertical-align:middle;padding:20px 0px 20px 0px;line-height:19px;font-size:16px !important;">'.$company_name.' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$fullnames.'様<br></td>
          </tr>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 10px 5px;vertical-align: top;">
      <table class="table table-bordered invoiceDate_tbl" style="width:100%;border:1px solid #000;">
          <tbody>
		  <tr>
          	<td colspan="2" style="text-align:center;">費用</td>
          </tr>
            <tr>
              <td class="left" align="left">基本料</td>
              <td class="left" align="right">75,000 円</td>
            </tr>
            <tr>
              <td class="left" align="left">コール費用 （'.$qty_value.' 件）</td>
              <td class="left" align="right">'.$total_price.' 円</td>
            </tr>
            <tr>
              <td class="left" align="left"></td>
              <td class="left" align="right">※価格は全て税抜き表示です</td>
            </tr>
          </tbody>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 10px 5px;vertical-align: top;">
      <table class="table table-bordered invoiceDate_tbl2  tab_item" style="width:100%;">
          
          <tbody>
            <tr><td class="left" align="left">※コール開始のタイミングなどはお打合せ時にご相談ください。</td></tr>
            <tr><td class="left" align="left">※難易度などにより単価が変更になる/リストが用意できない場合があります。</td></tr>
            <tr><td class="left" align="left">※「申し込みをする」ボタンより商談の上契約となります。</td></tr>
          </tbody>
        </table></td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 5px 5px;vertical-align: top;">
          <table class="table table-bordered" style="width:100%;">
              <tr>
                <td style="padding: 5px;vertical-align: top;padding-bottom:15px;line-height:19px;font-size:13px;width:61%">運営：株式会社soraプロジェクト<br>
                  お問合せ：info@naruhaya.biz<br></td>
                
                </tr>
            </table>
        </td>
    </tr>
    <tr>
      <td colspan="3" style="padding:5px 5px 5px 5px;vertical-align: top;">
          <table class="table table-bordered" style="width:100%;">
              <tr>
                <td style="padding: 5px;vertical-align:top;padding-bottom:15px;width:60%;"><a href="https://meetings.hubspot.com/kurakazu1" class="reservation_link"><img src="btnimg.jpg"></a></td>
                <td style="padding: 5px;vertical-align:top;padding-bottom:15px;width:40%;text-align:right;">&nbsp;</td>
                </tr>
            </table>
        </td>
    </tr>
  </table>
</div></body></html>';

$date = date('Ymd');

$filename = "estimate_pdf";
//$file_name = rand() . '.pdf';
$file_name = 'お見積りシミュレーション_'.$date.'pdf';
$file_name = rawurlencode($file_name);

$dompdf = new Dompdf();

$dompdf->loadHtml($pdf_content);
//$dompdf->set_option('isFontSubsettingEnabled', true);
$dompdf->setPaper('A4');

$dompdf->render();



$dompdf->stream($file_name, array("Attachment" => 1));
$file  = $dompdf->output();
 
file_put_contents($file_name, $file);
	
	
// Recipient
$toEmail = 'info@naruhaya.biz';


// Sender
$from = 'info@naruhaya.biz';
$fromName = '見積りダウンロード';
$email = 'info@gmail.com';
// Subject
$emailSubject = 'なるハヤ見積りダウンロード';
$htmlContent = '<table width="100%" cellspacing="0" cellpadding="0" border="0">
  <tbody>
    <tr>
      <td style="padding:10px 0 30px 0"><table style="border:1px solid #cccccc;border-collapse:collapse" width="600" cellspacing="0" cellpadding="0" border="0" align="center">
          <tbody>
            <tr>
              <td style="padding:20px 0 20px 0;color:#fff;font-size:28px;font-weight:bold;font-family:Arial,sans-serif;height:40px;" bgcolor="#fff" align="center"><img src="https://supatla.com/estimate_form/sitelogo.png" style="max-width:200px;"/></td>
            </tr>
            <tr>
              <td style="padding:40px 30px 40px 30px" bgcolor="#ffffff"><table width="100%" cellspacing="0" cellpadding="0" border="0">
                  <tbody>
                    <tr>
                      <td style="color:#3c93a8;font-family:Arial,sans-serif;text-align:center;font-size:22px">なるハヤ見積りダウンロード</td>
                    </tr>
                    <tr>
                      <td><div style="color:#000;font-family:Arial,sans-serif;font-size:14px;line-height:150%;text-align:left;margin-top:20px">
                          <table style="width:100%;border:1px solid #eee;border-collapse:collapse" cellspacing="0" cellpadding="6">
                            <tbody>
                              <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">会社名</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$company_name.'</td>
                              </tr>
                              <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">お名前</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$fullnames.'</td>
                              </tr>
                              <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">メールアドレス</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$_POST['email'].'</td>
                              </tr>
                              <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">携帯電話番号</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$mobile_number.'</td>
                              </tr>
							   <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">販売したい商品</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$sell_item_name.'</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">商品の参考URL</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$reference_url.'</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">ターゲット</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$call_target.'</td>
                              </tr>
							   <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">コールリスト</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$call_list_type.'</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">コール件数</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$qty_value.'件</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">基本料</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">75,00 円</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">コール費用 </th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$total_price.' 円</td>
                              </tr>
							  <tr>
                                <th scope="col" style="color:#000;padding:10px;text-align:left;border:1px solid #eee" width="27%">費用</th>
                                <td style="padding:10px;text-align:left;border:1px solid #eee">'.$_POST['payTotal_price'].' 円</td>
                              </tr>
                            </tbody>
                          </table>
                        </div></td>
                    </tr>
                  </tbody>
                </table></td>
            </tr>
            <tr>
              <td style="padding:30px 30px 30px 30px" bgcolor="#0d3165"><table width="100%" cellspacing="0" cellpadding="0" border="0" align="center">
                  <tbody>
                    <tr valign="middle">
                      <td style="width:600px;height:40px;text-align:center;background:#0d3165;color:#fff;font-size:25px;font-family:Arial;font-weight:bold;" valign="middle"></td>
                    </tr>
                  </tbody>
                </table></td>
            </tr>
          </tbody>
        </table></td>
    </tr>
  </tbody>
</table>';		

// Header for sender info
$headers = "From: $fromName"." <".$from.">";



// Boundary 
$semi_rand = md5(time()); 
$mime_boundary = "==Multipart_Boundary_x{$semi_rand}x"; 

// Headers for attachment 
$headers .= "\nMIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\""; 

// Multipart boundary 
$message = "--{$mime_boundary}\n" . "Content-Type: text/html; charset=\"UTF-8\"\n" .
"Content-Transfer-Encoding: 7bit\n\n" . $htmlContent . "\n\n"; 

/*// Preparing attachment
$message .= "--{$mime_boundary}\n";
$fp =    @fopen($file_name,"rb");
$data =  @fread($fp,filesize($file_name));
@fclose($fp);
$data = chunk_split(base64_encode($data));
$message .= "Content-Type: application/octet-stream; name=\"".basename($file_name)."\"\n" . 
"Content-Description: ".basename($file_name)."\n" .
"Content-Disposition: attachment;\n" . " filename=\"".basename($file_name)."\"; size=".filesize($file_name).";\n" . 
"Content-Transfer-Encoding: base64\n\n" . $data . "\n\n";*/


$message .= "--{$mime_boundary}--";
$returnpath = "-f" . $email;

// Send email
$mail = mail($toEmail, $emailSubject, $message, $headers, $returnpath);

// Delete attachment file from the server



// If mail sent
if($mail){
$statusMsg = 'Your estimation form request has been submitted successfully !';
unlink($file_name);

 
}else{
$statusMsg = 'Your estimation form request submission failed, please try again.';

}
if(isset($_POST['user_estimate_submit']))
{

}
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>お見積りシミュレーション</title>
<!-- Attact style part -->
<link href="css/style.css" rel="stylesheet" />
<!-- Start of HubSpot Embed Code -->
<script type="text/javascript" id="hs-script-loader" async defer src="//js.hs-scripts.com/21323111.js"></script>
<!-- End of HubSpot Embed Code -->
</head>
<body style="background: #f5f5f5; display: flex;">
<div id="main"> 
  <!--- Start Estimate Section  -->
  <div>
    <h1>お見積りシミュレーション</h1>
    <div class="box">
      <div class="form-row">
        <label>コールリスト</label>
        <div>
          <input type="radio" id="" name="call_list" class="list_call" value="yes" checked>
          あり
          <input type="radio" id="" class="ml-30 list_call" name="call_list" value="no">
          無し</div>
      </div>
      <div class="propaneDiv_">
        <form class="estimatecalculation_form" id="estimatecalculation_form" method="post" onsubmit="return false">
          <div class="form-row">
          	
            <!--<input type="hidden" name="call_list_no_500" id="call_list_no_500" value="520">
            <input type="hidden" name="call_list_no_501_1000" id="call_list_no_501_1000" value="420">
            <input type="hidden" name="call_list_no_1001_3000" id="call_list_no_1001_3000" value="375">-->
            <label>コール件数</label>
            <div>
              <input type="text" min="1" id="gallons_number" name="gallons_number" class="gallons_number input-form" placeholder="コール件数を入力してください">
              <em>件</em> </div>
          </div>
          <div class="form-row text-center mb-0">
          <input type="hidden" name="call_list_fix_price" value="75000">
          <input type="hidden" name="calculate_price_by_range" value="">
            <button class="btn calculate_price" type="button" id="calculate_price" name="calculate_price">見積りを計算する</button>
          </div>
        </form>
      </div>
    </div>
  </div>
  <!--- End Estimate Section  --> 
  
  <!--- Start Cost Section  -->
  <div class="arrow_down_sec"><div class="downarrow"></div></div>
  <div class="after_display_calculate box1">
    <div class="box cost-box">
      <p class="text-center title">費用</p>
      <h2 class="text-center"><span class="pay_total_price"></span> <span>円</span></h2>
      <form class="calculate_estimate_form_2" id="calculate_estimate_form_2" method="post" action="">
        <input type="hidden" name="calculate_price_by_range" value="">
        <input type="hidden" name="call_list_fix_price" value="75000">
        <input type="hidden" name="payTotal_price" value="">
        
        <div class="form-row light-blue blueBox">
          <label class="boxwidth">基本料</label>
          <div class="boxwidth">75,000 <span>円</span></div>
        </div>
        <div class="form-row light-blue blueBox">
          <label class="boxwidth">コール費用 （<span class="qtyvalue"></span> 件）</label>
          <div class="boxwidth"><span class="calculate_price_by_range_span"></span> <span>円</span></div>
        </div>
        <div class="form-row text-right mb-0"> ※価格は全て税抜き表示です。 </div>
      </form>
    </div>
  </div>
  <!--- End Cost Section  --> 
  
  <!--- Start Download Result Section  -->
  <div class="arrow_down_sec"><div class="downarrow"></div></div>
  <div class="after_display_calculate">
    <div class="box">
      <h2 class="text-center title">シミュレーション結果をダウンロード</h2>
      <p class="text-center">シミュレーション結果をPDFとしてダウンロードできます。</p>
      <span class="required_label">*は必須です。</span>
      <form action="" method="post" class="user_estimate_form" name="user_estimate_form">
        <input type="hidden" name="qty_value" value="">
        <input type="hidden" name="call_list_type" value="">
        <input type="hidden" name="calculate_price_by_range" value="">
        <input type="hidden" name="call_list_fix_price" value="75000">
        <input type="hidden" name="payTotal_price" value="">
        <div class="form-row">
          <label>企業名<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="company_name"  value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>お名前（姓）<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="first_name" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>お名前（名）<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="last_name" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>メールアドレス<span class="req_star">*</span></label>
          <div>
            <input type="email" id="" name="email" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>電話番号<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="mobile_number" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>販売したい商品<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="sell_item_name" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>商品の参考URL<span class="req_star">*</span></label>
          <div>
            <input type="text" id="" name="reference_url" value="" class="input-form required">
          </div>
        </div>
        <div class="form-row">
          <label>ターゲット</label>
          <div>
            <input type="text" id="" name="call_target" value="" class="input-form">
          </div>
        </div>
        <div class="form-row text-center mb-0">
          <button class="btn" id="user_estimate_submit" type="submit" name="user_estimate_submit">ダウンロードする <img src="images/download-icon.png" alt=""></button>
          
        </div>
      </form>
    </div>
  </div>
  <!--- End Download Result Section  --> 
  
  
</div>
<style>
.estimatecalculation_form label.error {width:100%;display:block;float:left;color:#db1414;}
.user_estimate_form label.error {width:100%;display:block;float:left;color:#db1414;}
.arrow_down_sec {text-align: center;margin: 0 auto;display: flex;justify-content: center;}
.arrow_down_sec .downarrow {width: 0px;height: 0px;border-left: 30px solid transparent;border-right: 30px solid transparent;
border-top: 30px solid #c7c7c7;}
body .after_display_calculate.box1 .form-row label {font-size:24px;}
</style>
<script src="js/jquery.min.js"></script> 
<script type="text/javascript" src="js/jquery.validate.js"></script> 

<script type="text/javascript">
var $ = jQuery;
	jQuery(document).ready(function(){
		 jQuery(".propaneDiv").hide();
		 jQuery(".after_display_calculate").hide();
		 jQuery(".arrow_down_sec").hide();
		 
		 
		 jQuery.extend(jQuery.validator.messages, {
			required: "この項目は必須です",
			email: "有効なメールアドレスを入力してください。",
			min: '以上の値を入力してください {0}',
    		max: '以下の値を入力してください {0}'
		});
		
		var user_estimate_form = jQuery('.user_estimate_form').validate();

		 var estimateForm = jQuery('.estimatecalculation_form').validate({
			 
		rules: {

                gallons_number: {required: true,number:true}
            },
            messages: {
                gallons_number: {required: "コール件数を入力してください。",number:"数字のみを入力してください"}
            }

		});
		jQuery(document).on('change', '.list_call',function (e) {
			var radiobutton = jQuery(this).val();
			if(radiobutton == 'yes')
			{
				jQuery(".oilheatDiv").show();
				jQuery(".propaneDiv").hide();
			}
			if(radiobutton == 'no')
			{
				jQuery(".propaneDiv").show();
				jQuery(".oilheatDiv").hide();
			}
		});
		
		$(".calculate_price").click(function(){
			if (estimateForm.form()) {
				  
				var fixprice_estimate = $('input[name="call_list_fix_price"]').val();
				var estimate_price_range = $('input[name="calculate_price_by_range"]').val();
				
				var pay_total = ((parseFloat(fixprice_estimate) + parseFloat(estimate_price_range)));
				$(".pay_total_price").text(pay_total.toLocaleString());
				jQuery(".after_display_calculate").show(500);
				jQuery(".arrow_down_sec").show(500);
				jQuery(".flow-box.after_display_calculate").hide();
			}
    	});
		
		$("#user_estimate_submit").click(function(){
			if (user_estimate_form.form()) {
				  
				$('.user_estimate_form').submit();
				
				setTimeout(function() {
    				window.location = "https://supatla.com/estimate_form/thank-you.html";
  				}, 6000);
			}
    	});
	});
	
	function getRangeById(min, max, id) {
		return { range: [ min, max ], amount: +$('#'+id).val() }
	} 
	
	function updatePropanePrice(callType,qty) {
		//var downside_protection = +$('#downside_protection_amount').val();
		//console.log("changing galong propane", qty);
		qty = Number(qty);
		var priceRange = {
			"yes":{
				"1-500":"500",
				"501-1000":"400",
				"1001-3000":"365",
				"3001-1000000":"330"
			},
			"no":{
				"1-500":"520",
				"501-1000":"420",
				"1001-3000":"375",
				"3001-1000000":"340"
			}
		};

		if(priceRange.hasOwnProperty(callType)){
			var pricerange = priceRange[callType];
			
			var rangePrice = 0;
			for (var i = 0; i < Object.keys(pricerange).length; i++){
				
				var  key = Object.keys(pricerange)[i];
				var  pricekey = Object.keys(pricerange)[i].split('-');
				
				var lowerPrice = 0;
				var upperPrice = 0;
				if(pricekey.length > 1){
					lowerPrice = Number(pricekey[0]);
					upperPrice = Number(pricekey[1]);
				}
				
				if(qty >= lowerPrice && qty <= upperPrice){
					rangePrice = Number(pricerange[key])
				}
				
			}
			
			$('input[name="calculate_price_by_range"]').val(qty*rangePrice);
			$('input[name="qty_value"]').val(qty);
			
			$('input[name="call_list_type"]').val(callType);
			var span_range_price = parseFloat(qty*rangePrice);
			$(".calculate_price_by_range_span").text(span_range_price.toLocaleString());
			$(".qtyvalue").text(qty.toLocaleString());
			
			var fixprice_estimate = $('input[name="call_list_fix_price"]').val();
			var estimate_price_range = $('input[name="calculate_price_by_range"]').val();
				
			var pay_total = ((parseFloat(fixprice_estimate) + parseFloat(estimate_price_range)));
			$('input[name="payTotal_price"]').val(pay_total.toLocaleString());
			//$(".pay_total_price").text(span_range_price.toFixed(2));
		}
		
		/*var call_list_yes = [
			getRangeById(500,500,'call_list_yes_500'),
			getRangeById(501,1000,'call_list_yes_501_1000'),
			getRangeById(1001,3000,'call_list_yes_1001_3000'),
			
		];
		
		var call_list_no = [
			getRangeById(500,500,'call_list_no_500'),
			getRangeById(501,1000,'call_list_no_501_1000'),
			getRangeById(1001,3000,'call_list_no_1001_3000'),
		];
		
		var paymentRanges = $('.list_call').is(":checked") ? call_list_yes : call_list_no;
		var total = getPriceByRange(paymentRanges, qty);
		var galonrange = total.toFixed(2);
			console.log(galonrange);
		return galonrange;*/
	
		/*//console.log('range'+paymentRanges);
		var total = getPriceByRange(paymentRanges, qty);
		
		if ($('#down-yes').is(":checked")) {
			total += downside_protection;
		}
		
		$('#payment').val(total.toFixed(2));*/
	}
	function getPriceByRange(ranges, qty) {
		for (var i = 0; i < ranges.length; i++) {
			var rangePrice = ranges[i];
			var min = rangePrice.range[0], max = rangePrice.range[1];
			if (qty <= max && qty >= min) {
				return rangePrice.amount;
			}
		}
		return 0;
	}
	
	$('.gallons_number').bind('keyup , change',function (event) {
		var paymentRanges = $('input[name="call_list"]:checked').val();
		updatePropanePrice(paymentRanges,+this.value);
		if (event.which === 13)
        {
            event.preventDefault();
            jQuery('.calculate_price').click();
        }
				
	});
	$('input[name="call_list"]').on('change',function(){
		var paymentRanges = $('input[name="call_list"]:checked').val();
		updatePropanePrice(paymentRanges,+$('.gallons_number').val());		

	})
</script>

</body>
</html>